Package org.apache.tapestry5.ioc.internal

## Enum ConfigurationType

- java.lang.Object
- - java.lang.Enum<ConfigurationType>
  - - org.apache.tapestry5.ioc.internal.ConfigurationType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ConfigurationType>`

      public enum ConfigurationType
      extends java.lang.Enum<ConfigurationType>

  Defines the three types of configurations a service may request.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MAPPED` |
    `ORDERED` |
    `UNORDERED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConfigurationType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ConfigurationType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNORDERED

          public static final ConfigurationType UNORDERED

      See Also:
        Configuration

    - #### ORDERED

          public static final ConfigurationType ORDERED

      See Also:
        OrderedConfiguration

    - #### MAPPED

          public static final ConfigurationType MAPPED

      See Also:
        MappedConfiguration

  - ### Method Detail

    - #### values

          public static ConfigurationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConfigurationType c : ConfigurationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConfigurationType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null